Puntuado con 4 de 5 estrellas

Please update for Firefox 4. It is the only extension I need keeping me from switching to Firefox 4.

Esta valoración es de una versión anterior del complemento (1.3.7).  Este usuario tiene otras valoraciones de este complemento.